import { Glue } from "src";
import { ILogin, IUserWithToken } from "./interfaces";
import { IAuth } from "./interfaces/IAuth";
import IAuthProviderEnum from "./interfaces/IAuthProviderEnum";
export declare class Auth implements IAuth {
    authBaseUrl: string;
    authToken: string;
    glue: Glue;
    constructor(AUTH_BASE_URL: string, GLUE: Glue, AUTH_TOKEN?: string);
    loginWithEmailPassword(email: string, password: string): Promise<string | IUserWithToken>;
    socialLogin(provider: IAuthProviderEnum): Promise<string | IUserWithToken>;
    signupWithEmail(name: string, email: string, password: string): Promise<string | IUserWithToken>;
    login(authObject: ILogin): Promise<string | IUserWithToken>;
    setAuthToken(_token: string): string;
    getAuthToken(): string;
    getUser(): Promise<any>;
    isLoggedIn(): Promise<boolean>;
}
